<!DOCTYPE html>
<html>
<head>
	<title>Exos crypto</title>
</head>
<body>
	<script type="text/javascript">
		function decaler(lettre, decalage) {

			// transforme la lettre en valeur
			var charCode = lettre.charCodeAt(0);

			// limitons le décalage à l'intervalle 0-25
			decalage = decalage % 26;

			// on vérifie si le caractère en cours est une lettre
			if (estUneLettre(charCode)) { // si c'est une lettre, on décale le caractère
				charCode += decalage;
				if (!estUneLettre(charCode)) { // si le caractère résultant n'est plus une lettre
					charCode -= 26; // on retire 26 et on retombe logiquement dans l'intervalle a-z (ou A-Z si c'était une majuscule)
				}
			} // si c'est pas une lettre, on ne le modifie pas

			return String.fromCharCode(charCode); // on retourne le caractère unicode correspondant à la valeur décalée
		}

		function estUneLettre(codeCoucouYassine) {
			return codeCoucouYassine > 64 && codeCoucouYassine < 91 // les maj
				|| codeCoucouYassine > 96 && codeCoucouYassine < 123; // les min

		}

		function encodeCesar(message, cle) {

			var messageEncode = "";
			// cette boucle parcourt le message lettre par lettre
			for (var i = 0; i < message.length; i++) {
				// message.charAt(i) est la lettre en cours
				messageEncode = messageEncode + decaler(message.charAt(i), cle);
			}

			return messageEncode;
		}

		function decodeCesar(messageEncode, cle) {

			var message = "";
			for (var i = 0; i < messageEncode.length; i++) {
				message = message + decaler(messageEncode.charAt(i), 26 - cle);
			}

			return message;
		}
	</script>
</body>
</html>